Skip to content

Bulk Transaction Detail

| View as Markdown

This API to get all the transaction details done by the merchant through POS . We must pass merchant id, terminal id and unique id in request then we will get the data in terms of transaction id, amount, mobile no, transaction type, etc in the response.

https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail-bulk
ParameterType ValueDescriptionValue Like
Content-Type requiredStringThe Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data.application/x-www-form-urlencodeds
ParameterType ValueDescriptionValue Like
mercid requiredString
(1-12)
Merchant Id71234
terminalid requiredString
(8)
It is device specific.One device have only one Terminal ID00008582
uniqueid requiredString
(4-10)
Unique ID is a unique identifier and have unique value000648
ParameterType ValueDescriptionValue Like
status requiredNumberStatus Code
200 - Success
502 - Failed
200
MERCHANTID requiredNumberMerchant id71234
UNIQUEID requiredNumberUnique id000648
DATA requiredArrayTransaction data
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail-bulk' \
--header 'content-type: application/x-www-form-urlencoded' \
--data-urlencode 'terminalid=00008582' \
--data-urlencode 'mercid=71234' \
--data-urlencode 'uniqueid=000648'
HTTP/1.1 200 OK
{
"status": 200,
"MERCHANTID": 71234,
"UNIQUEID": 000648,
"DATA":[
"TRANSACTIONID": 001553, "TABLENO": , "AMOUNT": 1.00, "MOBILENO":9XXXXXX157, "TXNTYPE": 01, "EDITAMOUNT": 1
]
}
{
"status": 502,
"message": []
}